<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SerializedCompactListOfguid StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SerializedCompactListOfguid
 * @subpackage Structs
 */
class SerializedCompactListOfguid extends SerializedCompactListBase
{
    /**
     * The Count
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Count;
    /**
     * Constructor method for SerializedCompactListOfguid
     * @uses SerializedCompactListOfguid::setCount()
     * @param int $count
     */
    public function __construct($count = null)
    {
        $this
            ->setCount($count);
    }
    /**
     * Get Count value
     * @return int|null
     */
    public function getCount()
    {
        return $this->Count;
    }
    /**
     * Set Count value
     * @param int $count
     * @return \patest\StructType\SerializedCompactListOfguid
     */
    public function setCount($count = null)
    {
        // validation for constraint: int
        if (!is_null($count) && !(is_int($count) || ctype_digit($count))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($count, true), gettype($count)), __LINE__);
        }
        $this->Count = $count;
        return $this;
    }
}
